# Class MinimiserMonitor.Utils

java.lang.Object
jebl.math.MinimiserMonitor.Utils

Enclosing interface:
  `MinimiserMonitor`

public static class MinimiserMonitor.Utils extends Object

Author:
  Matthew Goode

## Method Summary

Modifier and Type
Method
Description
`static final MinimiserMonitor`
`createNullMonitor()`
Creates a MinimiserMonitor that looses all output
`static final MinimiserMonitor`
`createSimpleMonitor(PrintWriter output)`
Creates a MinimiserMonitor that outputs current minimum to a print stream
`static final MinimiserMonitor`
`createSplitMonitor(MinimiserMonitor a, MinimiserMonitor b)`
creates a monitor such that all information sent to monitor is based on two sub monitors
`static final MinimiserMonitor`
`createStringMonitor()`
Creates a MinimiserMonitor that Stores output (use toString() to access current results)
`static final MinimiserMonitor`
`createSystemErrorMonitor()`
Creates a MinimiserMonitor that outputs current minimum to a System.err
`static final MinimiserMonitor`
`createSystemOuptutMonitor()`
Creates a MinimiserMonitor that outputs current minimum to a System.out

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createSimpleMonitor

public static final MinimiserMonitor createSimpleMonitor(PrintWriter output)
Creates a MinimiserMonitor that outputs current minimum to a print stream

### createSplitMonitor

public static final MinimiserMonitor createSplitMonitor(MinimiserMonitor a, MinimiserMonitor b)
creates a monitor such that all information sent to monitor is based on two sub monitors

### createSystemOuptutMonitor

public static final MinimiserMonitor createSystemOuptutMonitor()
Creates a MinimiserMonitor that outputs current minimum to a System.out

### createSystemErrorMonitor

public static final MinimiserMonitor createSystemErrorMonitor()
Creates a MinimiserMonitor that outputs current minimum to a System.err

### createStringMonitor

public static final MinimiserMonitor createStringMonitor()
Creates a MinimiserMonitor that Stores output (use toString() to access current results)

### createNullMonitor

public static final MinimiserMonitor createNullMonitor()
Creates a MinimiserMonitor that looses all output